# CorporateAction

Represents an action initiated by the issuer of a Security Token which may affect the positions of the Tokenholders

## Hierarchy

* [Entity](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)‹UniqueIdentifiers, unknown›

  ↳ **CorporateAction**

  ↳ [DividendDistribution](/polymesh-sdk-api-reference/v12.0.2/classes/dividenddistribution.md)

## Index

### Properties

* [context](#protected-context)
* [declarationDate](#declarationdate)
* [defaultTaxWithholding](#defaulttaxwithholding)
* [description](#description)
* [id](#id)
* [kind](#protected-kind)
* [targets](#targets)
* [taxWithholdings](#taxwithholdings)
* [ticker](#ticker)
* [uuid](#uuid)

### Methods

* [checkpoint](#checkpoint)
* [exists](#exists)
* [isEqual](#isequal)
* [linkDocuments](#linkdocuments)
* [modifyCheckpoint](#modifycheckpoint)
* [toJson](#tojson)
* [generateUuid](#static-generateuuid)
* [unserialize](#static-unserialize)

## Properties

### `Protected` context

• **context**: [*Context*](/polymesh-sdk-api-reference/v12.0.2/classes/context.md)

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)*.*[*context*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md#protected-context)

*Defined in* [*src/api/entities/Entity.ts:48*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/Entity.ts#L48)

***

### declarationDate

• **declarationDate**: *Date*

*Defined in* [*src/api/entities/CorporateAction/index.ts:82*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/CorporateAction/index.ts#L82)

date at which the Corporate Action was created

***

### defaultTaxWithholding

• **defaultTaxWithholding**: *BigNumber*

*Defined in* [*src/api/entities/CorporateAction/index.ts:98*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/CorporateAction/index.ts#L98)

default percentage of tax withholding for this Corporate Action

***

### description

• **description**: *string*

*Defined in* [*src/api/entities/CorporateAction/index.ts:87*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/CorporateAction/index.ts#L87)

brief text description of the Corporate Action

***

### id

• **id**: *BigNumber*

*Defined in* [*src/api/entities/CorporateAction/index.ts:72*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/CorporateAction/index.ts#L72)

internal Corporate Action ID

***

### `Protected` kind

• **kind**: [*CorporateActionKind*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/enums/corporateactionkind.md)

*Defined in* [*src/api/entities/CorporateAction/index.ts:109*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/CorporateAction/index.ts#L109)

type of corporate action being represented

***

### targets

• **targets**: [*CorporateActionTargets*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/corporateactiontargets.md)

*Defined in* [*src/api/entities/CorporateAction/index.ts:93*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/CorporateAction/index.ts#L93)

tokenholder identities related to this Corporate action. If the treatment is `Exclude`, the identities are not targeted by the Action, and any identities left out of the array will be targeted, and vice versa

***

### taxWithholdings

• **taxWithholdings**: [*TaxWithholding*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/taxwithholding.md)*\[]*

*Defined in* [*src/api/entities/CorporateAction/index.ts:104*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/CorporateAction/index.ts#L104)

percentage of tax withholding per Identity. Any Identity not present in this array uses the default tax withholding percentage

***

### ticker

• **ticker**: *string*

*Defined in* [*src/api/entities/CorporateAction/index.ts:77*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/CorporateAction/index.ts#L77)

ticker of the Security Token

***

### uuid

• **uuid**: *string*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)*.*[*uuid*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md#uuid)

*Defined in* [*src/api/entities/Entity.ts:46*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/Entity.ts#L46)

## Methods

### checkpoint

▸ **checkpoint**(): *Promise‹*[*Checkpoint*](/polymesh-sdk-api-reference/v12.0.2/classes/checkpoint.md) *|* [*CheckpointSchedule*](/polymesh-sdk-api-reference/v12.0.2/classes/checkpointschedule.md) *| null›*

*Defined in* [*src/api/entities/CorporateAction/index.ts:190*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/CorporateAction/index.ts#L190)

Retrieve the Checkpoint associated with this Corporate Action. If the Checkpoint is scheduled and has not been created yet, the corresponding CheckpointSchedule is returned instead. A null value means the Corporate Action was created without an associated Checkpoint

**Returns:** *Promise‹*[*Checkpoint*](/polymesh-sdk-api-reference/v12.0.2/classes/checkpoint.md) *|* [*CheckpointSchedule*](/polymesh-sdk-api-reference/v12.0.2/classes/checkpointschedule.md) *| null›*

***

### exists

▸ **exists**(): *Promise‹boolean›*

*Overrides* [*Entity*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)*.*[*exists*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md#abstract-exists)

*Defined in* [*src/api/entities/CorporateAction/index.ts:179*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/CorporateAction/index.ts#L179)

Determine whether this Corporate Action exists on chain

**Returns:** *Promise‹boolean›*

***

### isEqual

▸ **isEqual**(`entity`: [Entity](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)‹unknown, unknown›): *boolean*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)*.*[*isEqual*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md#isequal)

*Defined in* [*src/api/entities/Entity.ts:61*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/Entity.ts#L61)

Determine whether this Entity is the same as another one

**Parameters:**

| Name     | Type                                                                              |
| -------- | --------------------------------------------------------------------------------- |
| `entity` | [Entity](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)‹unknown, unknown› |

**Returns:** *boolean*

***

### linkDocuments

▸ **linkDocuments**(`args`: [LinkCaDocsParams](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/linkcadocsparams.md), `opts?`: [ProcedureOpts](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/procedureopts.md)): *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/v12.0.2/classes/transactionqueue.md)*‹void››*

*Defined in* [*src/api/entities/CorporateAction/index.ts:162*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/CorporateAction/index.ts#L162)

Link a list of documents to this corporate action

**`note`** any previous links are removed in favor of the new list

**`note`** this method is of type [ProcedureMethod](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/proceduremethod.md), which means you can call `linkDocuments.checkAuthorization` on it to see whether the Current Account has the required permissions to run it

**Parameters:**

| Name    | Type                                                                                                                  |
| ------- | --------------------------------------------------------------------------------------------------------------------- |
| `args`  | [LinkCaDocsParams](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/linkcadocsparams.md) |
| `opts?` | [ProcedureOpts](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/procedureopts.md)       |

**Returns:** *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/v12.0.2/classes/transactionqueue.md)*‹void››*

***

### modifyCheckpoint

▸ **modifyCheckpoint**(`args`: ModifyCaCheckpointParams, `opts?`: [ProcedureOpts](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/procedureopts.md)): *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/v12.0.2/classes/transactionqueue.md)*‹void››*

*Defined in* [*src/api/entities/CorporateAction/index.ts:172*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/CorporateAction/index.ts#L172)

Modify the Corporate Action's Checkpoint

**`note`** this method is of type [ProcedureMethod](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/proceduremethod.md), which means you can call `modifyCheckpoint.checkAuthorization` on it to see whether the Current Account has the required permissions to run it

**Parameters:**

| Name    | Type                                                                                                            |
| ------- | --------------------------------------------------------------------------------------------------------------- |
| `args`  | ModifyCaCheckpointParams                                                                                        |
| `opts?` | [ProcedureOpts](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/procedureopts.md) |

**Returns:** *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/v12.0.2/classes/transactionqueue.md)*‹void››*

***

### toJson

▸ **toJson**(): *HumanReadable*

*Overrides* [*Entity*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)*.*[*toJson*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md#abstract-tojson)

*Defined in* [*src/api/entities/CorporateAction/index.ts:269*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/CorporateAction/index.ts#L269)

Return the Corporate Action's static data

**Returns:** *HumanReadable*

***

### `Static` generateUuid

▸ **generateUuid**‹**Identifiers**›(`identifiers`: Identifiers): *string*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)*.*[*generateUuid*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md#static-generateuuid)

*Defined in* [*src/api/entities/Entity.ts:14*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/Entity.ts#L14)

Generate the Entity's UUID from its identifying properties

**Type parameters:**

▪ **Identifiers**

**Parameters:**

| Name          | Type        | Description |
| ------------- | ----------- | ----------- |
| `identifiers` | Identifiers |             |

**Returns:** *string*

***

### `Static` unserialize

▸ **unserialize**‹**Identifiers**›(`serialized`: string): *Identifiers*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)*.*[*unserialize*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md#static-unserialize)

*Defined in* [*src/api/entities/Entity.ts:23*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/Entity.ts#L23)

Unserialize a UUID into its Unique Identifiers

**Type parameters:**

▪ **Identifiers**

**Parameters:**

| Name         | Type   | Description         |
| ------------ | ------ | ------------------- |
| `serialized` | string | UUID to unserialize |

**Returns:** *Identifiers*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/classes/corporateaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
